#!/bin/bash

. lib.sh

main() {
    sshgw cangw -A -s can0 -d can1
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 2) -h hist2.dat -f time2.dat
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 4) -h hist4.dat -f time4.dat
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 6) -h hist6.dat -f time6.dat
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 8) -h hist8.dat -f time8.dat
}

plot_cmds() {
    cat <<EOF
set title "Single GW, no modifications, no filters"
set logscale y
set grid
set xlabel "Time [{/Symbol m}s]"
set ylabel "Latency profile [messages]"
plot [0:600] [1:$COUNT] \
          "hist2.dat" with lp lt 1 title "2 byte messages", \
          "hist4.dat" with lp lt 2 title "4 byte messages", \
          "hist6.dat" with lp lt 3 title "6 byte messages", \
          "hist8.dat" with lp lt 4 title "8 byte messages"
EOF
}
    
test_end
    
